Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.conversation
Class AbleConversationGraphicView

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.ibm.able.conversation.AbleConversationGraphicView

All Implemented Interfaces:
  AbleCustomInspectorView, javax.accessibility.Accessible, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.Serializable

public class AbleConversationGraphicView
extends javax.swing.JPanel
implements java.beans.PropertyChangeListener, AbleCustomInspectorView, java.io.Serializable

This class defines a specialized AbleConversationManager bean inspector that shows all active conversations that the bean is managing, in the form of trees, with nodes representing conversations and child conversations.

Clicking on each of the nodes causes the corresponding viewer for the conversation to be invoked which displays the states and transitions in the conversation itself. Active conversations are displayed as yellow vertices while completed conversations are shown as white vertices

Registers and listens for the following events from the AbleConversationManager that it is visualizing

(1) Any new conversation

(2) Any child conversation for ongoing conversation

(3) Completion of an ongoing conversation

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected static long` | `serialVersionUID` Serialized version identifier in form YYYYMMDDVerRelModxx
`static java.lang.String` | `VIEWER_KEY`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AbleConversationGraphicView(java.lang.Object mgr)` Create a JPanel to graphically display conversations

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` Adds the given listener to this object's list of property-change listeners, to be informed of all property changes.
`void` | `addPropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)` Adds the given listener to this object's list of property-change listeners, to be informed of changes to the named property.
`protected void` | `firePropertyChange(java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue)` Inform registered listeners of a change in a property.
`void` | `fixDisplay()` This tweaks the graph's display in misc ways.
`java.lang.Object` | `getContext()` Retrieve the context data for this inspector panel This data is added to the AbleInspectorContext save with the editor environment file.
`javax.swing.JComponent` | `getGraphPane()` Returns the Swing component on which the graph is displayed.
`void` | `printDebug(java.lang.String msg)`
`void` | `propertyChange(java.beans.PropertyChangeEvent event)` Listens to changes in the properties of the Jas Conversation Agent and updates the view as suited to the event.
`protected void` | `refreshView()` Invalidates and repaints the inspector (panel)
`void` | `selectCP(com.ibm.graph.Vertex cpVertex)` Displays the CPGrahViewer object for the selected conversation.
`void` | `setContext(AbleInspectorContext theContext)` Set the context data for this inspector panel This is called after loading the editor environment file

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    protected static final long serialVersionUID

  Serialized version identifier in form YYYYMMDDVerRelModxx

  See Also:
    Constant Field Values

### VIEWER_KEY

    public static final java.lang.String VIEWER_KEY

See Also:
  Constant Field Values

Constructor Detail

### AbleConversationGraphicView

    public AbleConversationGraphicView(java.lang.Object mgr)

  Create a JPanel to graphically display conversations

Method Detail

### setContext

    public void setContext(AbleInspectorContext theContext)

  Set the context data for this inspector panel This is called after loading the editor environment file

  Specified by:
    `setContext` in interface `AbleCustomInspectorView`

### getContext

    public java.lang.Object getContext()

  Retrieve the context data for this inspector panel This data is added to the AbleInspectorContext save with the editor environment file.

  Specified by:
    `getContext` in interface `AbleCustomInspectorView`

### refreshView

    protected void refreshView()

  Invalidates and repaints the inspector (panel)

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Adds the given listener to this object's list of property-change listeners, to be informed of all property changes.

  Parameters:
    `listener` - PropertChangeListener object

### addPropertyChangeListener

    public void addPropertyChangeListener(java.lang.String propertyName,
                                          java.beans.PropertyChangeListener listener)

  Adds the given listener to this object's list of property-change listeners, to be informed of changes to the named property.

  Parameters:
    `propertyName` - the name of the property

    `listener` - PropertyChangeListener object

### firePropertyChange

    protected void firePropertyChange(java.lang.String propertyName,
                                      java.lang.Object oldValue,
                                      java.lang.Object newValue)

  Inform registered listeners of a change in a property.

  Parameters:
    `propertyName` - name of the property

    `oldValue` - old value of the property

    `newValue` - new value of the property

### fixDisplay

    public void fixDisplay()

  This tweaks the graph's display in misc ways.

  --Moves the graph over & down a bit

  --Fixes size of the canvas.

### getGraphPane

    public javax.swing.JComponent getGraphPane()

  Returns the Swing component on which the graph is displayed.

  Returns:
    the Swing component on which the graph is displayed.

### selectCP

    public void selectCP(com.ibm.graph.Vertex cpVertex)

  Displays the CPGrahViewer object for the selected conversation.

  Parameters:
    `cpVertex` - the selected vertex

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent event)

  Listens to changes in the properties of the Jas Conversation Agent and updates the view as suited to the event. Listens for the following events:

  (1) Any new conversation

  (2) Any child conversation for ongoing conversation

  (3) Completion of an ongoing conversation

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Parameters:
    `event` - the property change event that occured inside the conversation agent

  See Also:
    `AbleConversationManager`

### printDebug

    public void printDebug(java.lang.String msg)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005